package sudoku;

import java.awt.*;

/** <br>une simple zone sans caractéristique particulière à part une couleur de fond
  * <br><i>a simple zone without particular feature except a background color</i> */
public class Area extends Zone{

   /** couleur de fond
     * <br><i> background color </i> */
   public Color color;

   public Area(Color c,int width,int height){
      super(width,height);
      color=c;
   }
   
   /** <br>affichage de la zone
     * <br><i>area drawing */
   public void paint(Graphics g){
     g.setColor(color);
     g.fillRect(0,0,getWidth(),getHeight());
   }
}
