package sudoku;

import java.awt.*;

/** un diagramme et une zone de texte
  * <br><i> a board plus a text zone */
  
public class CommentedBoard extends Panel{

   /** le diagramme associé
     * <br><i> the associated board </i>*/
   public Board    board;
   /** la zone de texte associée
     * <br><i> the associated text zone </i>*/
   public TextZone text;
   
   /** construction du diagramme commenté
     * <br><i> building up a commented board */

   public CommentedBoard(int size){
      board=new Board(9,size);
      text =new TextZone(8*size,14*size);
      Scrollbar vertical  =new Scrollbar(Scrollbar.VERTICAL,1,text.getVisible(),1,2000);
      text.setScrollbar(vertical);
      add(board);add(text);add(vertical);
      setLayout(null);
      text.setLocation(4+15*size,2);
      vertical.setBounds(4+23*size,2,vertical.getWidth(),14*size);
      board.setLocation(0,0);
      setSize(4+23*size+vertical.getWidth(),4+15*size);
   }
   /** un programme de test
     * <br><i>a simple test programme */
   
   static public void main(String a[]){
      Frame f=new Frame();
      CommentedBoard b=new CommentedBoard(30);
      RF.Init("fr",b.getClass());
      b.board.position.setPosition("A1=1 A4=7 A5=4 B9=6 C2=3 C7=9 C8=2 D3=6 D4=3 E2=4 E8=5 F6=2 F7=8 G2=5 G3=7 G8=4 H1=2 I5=8 I6=9 I9=3");
      f.add(b);
      f.pack();f.show();
   }
   
}
      
      
